View Issue Details

IDProjectCategoryView StatusLast Update
0001045bareos-core[All Projects] webuipublic2020-02-06 17:29
ReporterfrankAssigned Tofrank 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOSOS Version7
Product Version18.2.5 
Fixed in Version 
Summary0001045: webui login problem
DescriptionQuote from bareos-users mailinglist:

bareos 18.2.5 clean instalation in centos 7

bareos-filedaemon-18.2.5-139.1.el7.x86_64
bareos-storage-18.2.5-139.1.el7.x86_64
bareos-database-tools-18.2.5-139.1.el7.x86_64
bareos-client-18.2.5-139.1.el7.x86_64
bareos-database-mysql-18.2.5-139.1.el7.x86_64
bareos-bconsole-18.2.5-139.1.el7.x86_64
bareos-webui-18.2.5-126.1.el7.noarch
bareos-common-18.2.5-139.1.el7.x86_64
bareos-database-common-18.2.5-139.1.el7.x86_64
bareos-tools-18.2.5-139.1.el7.x86_64
bareos-director-18.2.5-139.1.el7.x86_64

selinux and iptables disabled

and added user in bconsole

configure add console name=admin password=12345678 profile=webui-admin

but webui show:

Sorry, can not authenticate. Wrong username and/or password.

and in apache logs:

[Mon Feb 04 16:51:23.257047 2019] [:error] [pid 4384] [client 10.22.108.51:32920] PHP Notice: fwrite(): send of 26 bytes failed with errno=104 Connection reset by peer in /usr/share/bareos-webui/vendor/Bareos/library/Bareos/BSock/BareosBSock.php on line 219, referer: http://xxxxxx/bareos-webui/

any sugestions ?
Additional InformationDefault PHP version in CentOS 7 is PHP 5.4.x
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

parent of 0001041 closedfrank BareOS-WebUI partially working 

Activities

frank

frank

2019-02-05 11:02

manager   ~0003248

STREAM_CRYPTO_METHOD_TLSv1_2_CLIENT was introduced with PHP version
5.6.0. We need to care that calling stream_socket_enable_crypto method works
with versions < 5.6.0 as well.
frank

frank

2019-02-05 11:26

manager   ~0003249

PR#144 and PR#145 fix the problem in master and 18.2.

Ref:

https://github.com/bareos/bareos/pull/144
https://github.com/bareos/bareos/pull/145
frank

frank

2019-04-10 18:58

manager   ~0003324

Fix committed to bareos bareos-18.2 branch with changesetid 11156.
frank

frank

2020-02-06 17:25

manager   ~0003736

Unfortunately TLS-PSK is currently not supported in PHP. If you do not disable transport encryption (TLSEnable=False) on the specific console resources (e.g. bareos-dir.d/console/admin.conf) or you do not have certificates setup properly you run into kind of the same error message.

Related Changesets

bareos: bareos-18.2 570d124e

2019-02-05 10:52:26

frank


Committer: franku

Ported: N/A

Details Diff
webui: webui login problem with tls enabled

STREAM_CRYPTO_METHOD_TLSv1_2_CLIENT was introduced with PHP version
5.6.0. We need to care that calling stream_socket_enable_crypto method works
with versions < 5.6.0 as well.

Fixes 0001045: webui login problem
Affected Issues
0001045
mod - webui/vendor/Bareos/library/Bareos/BSock/BareosBSock.php Diff File

Issue History

Date Modified Username Field Change
2019-02-05 10:51 frank New Issue
2019-02-05 10:51 frank Status new => assigned
2019-02-05 10:51 frank Assigned To => frank
2019-02-05 11:02 frank Note Added: 0003248
2019-02-05 11:26 frank Note Added: 0003249
2019-02-05 18:11 frank Relationship added parent of 0001041
2019-04-10 18:58 franku Changeset attached => bareos bareos-18.2 570d124e
2019-04-10 18:58 frank Note Added: 0003324
2020-02-06 17:25 frank Note Added: 0003736
2020-02-06 17:29 frank Status assigned => closed
2020-02-06 17:29 frank Resolution open => fixed